Package com.independentsoft.office.spreadsheet.externalLinks

# Class ExternalLink

java.lang.Object
com.independentsoft.office.spreadsheet.externalLinks.ExternalLink

public class ExternalLink extends Object
The Class ExternalLink.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalLink()`
  Instantiates a new external link.
  `ExternalLink​(byte[] buffer, Relationship relationship)`
  Instantiates a new external link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExternalLink`
  `clone()`
  `DdeLink`
  `getDdeLink()`
  Gets the dde link.
  `ExternalWorkbook`
  `getExternalWorkbook()`
  Gets the external workbook.
  `OleLink`
  `getOleLink()`
  Gets the ole link.
  `void`
  `setDdeLink​(DdeLink ddeLink)`
  Sets the dde link.
  `void`
  `setExternalWorkbook​(ExternalWorkbook externalWorkbook)`
  Sets the external workbook.
  `void`
  `setOleLink​(OleLink oleLink)`
  Sets the ole link.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExternalLink

    public ExternalLink()
    Instantiates a new external link.

  - ### ExternalLink

    public ExternalLink​(byte[] buffer, Relationship relationship) throws XMLStreamException
    Instantiates a new external link.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public ExternalLink clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDdeLink

    public DdeLink getDdeLink()
    Gets the dde link.
    Returns:
      the dde link

  - ### setDdeLink

    public void setDdeLink​(DdeLink ddeLink)
    Sets the dde link.
    Parameters:
      `ddeLink` - the new dde link

  - ### getExternalWorkbook

    public ExternalWorkbook getExternalWorkbook()
    Gets the external workbook.
    Returns:
      the external workbook

  - ### setExternalWorkbook

    public void setExternalWorkbook​(ExternalWorkbook externalWorkbook)
    Sets the external workbook.
    Parameters:
      `externalWorkbook` - the new external workbook

  - ### getOleLink

    public OleLink getOleLink()
    Gets the ole link.
    Returns:
      the ole link

  - ### setOleLink

    public void setOleLink​(OleLink oleLink)
    Sets the ole link.
    Parameters:
      `oleLink` - the new ole link